[
  {
    "chunk_id": 24,
    "chunk_type": "group",
    "human_description": "This is group 'FirstLetterGroup' definition for report 'FirstJasper'. Group expression: $V{FirstLetter}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 200, start new column: true, reprint header: true.",
    "raw_xml": "<group name=\"FirstLetterGroup\" minHeightToStartNewPage=\"200\" startNewColumn=\"true\" reprintHeaderOnEachPage=\"true\">\n\t\t<expression>$V{FirstLetter}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"staticText\" uuid=\"8e268ccc-e890-42f1-80f5-f0bf3384acae\" mode=\"Opaque\" x=\"0\" y=\"14\" width=\"130\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>Countries Starting With Letter :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"d8af4528-f8d7-42e4-9680-f9f287eaf172\" mode=\"Opaque\" x=\"130\" y=\"14\" width=\"70\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetter}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"fd625f56-0d25-438d-8768-a2bd3f3151a4\" mode=\"Opaque\" x=\"240\" y=\"14\" width=\"30\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"FirstLetterGroup\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{PAGE_NUMBER} - $V{FirstLetterStartPageNumber} + 1</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"6ab4112a-b641-4132-9557-fde7dd30a1c8\" mode=\"Opaque\" x=\"200\" y=\"14\" width=\"30\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterGroup_COUNT} == 0 ? 1 : ($V{PAGE_NUMBER} - $V{FirstLetterStartPageNumber} + 1)</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"4047b35a-f59f-41de-b7c9-16d1bc156f13\" mode=\"Opaque\" x=\"230\" y=\"14\" width=\"10\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" hTextAlign=\"Center\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>\"/\"</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"line\" uuid=\"452b2932-6ccb-4829-be52-9af75c5acfce\" x=\"0\" y=\"0\" width=\"270\" height=\"1\" forecolor=\"#FF0000\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"fafa5078-5a0c-45d6-9332-c417642b8dde\" x=\"0\" y=\"1\" width=\"45\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"2e77c1a7-2fb5-4495-b6fa-abc528a9fadd\" x=\"45\" y=\"1\" width=\"25\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"bc02235e-0a02-4bf9-9685-938df6b12693\" x=\"70\" y=\"1\" width=\"100\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"48d451b4-f641-438c-86c5-5b908ee3bbc6\" x=\"170\" y=\"1\" width=\"60\" height=\"11\" forecolor=\"#FF0000\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumFirstLetterGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"89d46a9c-9904-491e-abc3-95744091c84d\" x=\"230\" y=\"1\" width=\"40\" height=\"11\" forecolor=\"#FF0000\" evaluationTime=\"Auto\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>msg(\"{0,number,0.00}%\", 100d * $V{FreightSumFirstLetterGroup} / $V{FreightSumReport})</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'FirstJasper' group 'FirstLetterGroup'",
    "metadata": {
      "group_name": "FirstLetterGroup",
      "expression": "$V{FirstLetter}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "200",
      "startNewColumn": "true",
      "reprintHeaderOnEachPage": "true"
    }
  },
  {
    "chunk_id": 24,
    "chunk_type": "group",
    "human_description": "This is group 'FirstLetterGroup' definition for report 'FirstJasper'. Group expression: $V{FirstLetter}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 200, start new column: true, reprint header: true.",
    "raw_xml": "<group name=\"FirstLetterGroup\" minHeightToStartNewPage=\"200\" startNewColumn=\"true\" reprintHeaderOnEachPage=\"true\">\n\t\t<expression>$V{FirstLetter}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"staticText\" uuid=\"8e268ccc-e890-42f1-80f5-f0bf3384acae\" mode=\"Opaque\" x=\"0\" y=\"14\" width=\"130\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>Countries Starting With Letter :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"d8af4528-f8d7-42e4-9680-f9f287eaf172\" mode=\"Opaque\" x=\"130\" y=\"14\" width=\"70\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetter}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"fd625f56-0d25-438d-8768-a2bd3f3151a4\" mode=\"Opaque\" x=\"240\" y=\"14\" width=\"30\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" evaluationTime=\"Group\" evaluationGroup=\"FirstLetterGroup\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{PAGE_NUMBER} - $V{FirstLetterStartPageNumber} + 1</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"6ab4112a-b641-4132-9557-fde7dd30a1c8\" mode=\"Opaque\" x=\"200\" y=\"14\" width=\"30\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterGroup_COUNT} == 0 ? 1 : ($V{PAGE_NUMBER} - $V{FirstLetterStartPageNumber} + 1)</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"4047b35a-f59f-41de-b7c9-16d1bc156f13\" mode=\"Opaque\" x=\"230\" y=\"14\" width=\"10\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" hTextAlign=\"Center\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>\"/\"</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"line\" uuid=\"452b2932-6ccb-4829-be52-9af75c5acfce\" x=\"0\" y=\"0\" width=\"270\" height=\"1\" forecolor=\"#FF0000\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"fafa5078-5a0c-45d6-9332-c417642b8dde\" x=\"0\" y=\"1\" width=\"45\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"2e77c1a7-2fb5-4495-b6fa-abc528a9fadd\" x=\"45\" y=\"1\" width=\"25\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"bc02235e-0a02-4bf9-9685-938df6b12693\" x=\"70\" y=\"1\" width=\"100\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"48d451b4-f641-438c-86c5-5b908ee3bbc6\" x=\"170\" y=\"1\" width=\"60\" height=\"11\" forecolor=\"#FF0000\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumFirstLetterGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"89d46a9c-9904-491e-abc3-95744091c84d\" x=\"230\" y=\"1\" width=\"40\" height=\"11\" forecolor=\"#FF0000\" evaluationTime=\"Auto\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>msg(\"{0,number,0.00}%\", 100d * $V{FreightSumFirstLetterGroup} / $V{FreightSumReport})</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'FirstJasper' group 'FirstLetterGroup'",
    "metadata": {
      "group_name": "FirstLetterGroup",
      "expression": "$V{FirstLetter}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "200",
      "startNewColumn": "true",
      "reprintHeaderOnEachPage": "true"
    }
  }
]